FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes
Fl_Display_Device Class Reference

A display to which the computer can draw. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Display_Device:

List of all members.

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object.
| Fl_Display_Device (Fl_Graphics_Driver *graphics_driver)
| A constructor that sets the graphics driver used by the display.
## Static Public Member Functions
static Fl_Display_Device * | display_device ()
| Returns the platform display device.
## Static Public Attributes
static const char * | class_id = "Fl_Display_Device"
| A string that identifies each subclass of Fl_Device.

## Detailed Description

A display to which the computer can draw.

## Member Function Documentation

const char* Fl_Display_Device::class_name | ( |  | ) | `[inline, virtual]`

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

       if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Surface_Device.

static Fl_Display_Device* Fl_Display_Device::display_device | ( |  | ) | `[inline, static]`

Returns the platform display device.

## Member Data Documentation

const char * Fl_Display_Device::class_id = "Fl_Display_Device"`[static]`

A string that identifies each subclass of Fl_Device.

Function class_name() applied to a device of this class returns this string.

Reimplemented from Fl_Surface_Device.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx